@tailwind base;
@tailwind components;
@tailwind utilities;

@font-face {
  font-family: PlayfairDisplay;
  src: url(./fonts/PlayfairDisplay.ttf);
}
@font-face {
  font-family: Poppins;
  src: url(./fonts/Poppins.ttf);
}
* {
  margin: 0;
  padding: 0;
}

h1 {
  font-size: 120px;
}

h6 {
  font-size: 56px;
}

::-moz-placeholder {
  color: #fff;
  font-family: Arial;
}

::placeholder {
  color: #fff;
  font-family: Arial;
}

.w-100 {
  width: 100%;
}

body {
  font-family: Poppins;
  background-image: url("../images/background.png");
  background-repeat: no-repeat;
  background-size: cover;
  height: 100vh;
  overflow: hidden;
}

.navbar {
  height: 75px;
  margin: auto;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 8%;
}
.navbar > .icon {
  width: 200px;
}
.navbar .menu {
  display: flex;
  grid-gap: 12px;
  list-style-type: none;
}
.navbar .menu li {
  min-width: 125px;
}
.navbar .menu li a {
  text-decoration: none;
  color: #fff;
  font-family: Arial;
  font-weight: bold;
  transition: 0.4s ease-in-out;
}
.navbar .menu li a:hover {
  color: #F25278;
}
.navbar .logo {
  color: palevioletred;
  font-size: 35px;
  font-family: Arial;
}

.content {
  color: #fff;
  margin-top: 70px;
}
.content > .main-text {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 8%;
  margin: auto;
  height: -moz-fit-content;
  height: fit-content;
  font-family: PlayfairDisplay;
}
.content > .main-text .small-text {
  width: 75%;
  font-family: Poppins;
  font-size: 24px;
  margin-top: 16px;
}
.content > .main-text .small-text small {
  font-size: 10px;
}
.content > .login-card {
  height: -moz-fit-content;
  height: fit-content;
  width: 320px;
  background: rgba(255, 255, 255, 0.3);
  -webkit-backdrop-filter: blur(2px);
          backdrop-filter: blur(2px);
  position: absolute;
  top: 0;
  right: 8%;
  bottom: 0;
  margin: auto;
  border-radius: 10px;
  padding: 25px;
  text-align: center;
}
.content > .login-card .title {
  width: 220px;
  font-family: sans-serif;
  text-align: center;
  color: #F25278;
  font-size: 22px;
  background-color: #fff;
  border-radius: 10px;
  margin: auto;
  padding: 8px;
  margin-bottom: 24px;
}
.content > .login-card .subtitle {
  margin: auto;
  margin-bottom: 8px;
}
.content > .login-card ul.social-login {
  display: flex;
  padding: 0;
  margin: 0;
  grid-gap: 16px;
  list-style-type: none;
  margin: auto;
  width: -moz-fit-content;
  width: fit-content;
  margin-top: 8px;
}
.content > .login-card ul.social-login > li {
  width: 32px;
  height: 32px;
  border-radius: 50%;
  /* background: #fff; */
  padding: 0px;
}
.content > .login-card ul.social-login > li img {
  width: 100%;
}

.form-input {
  margin-bottom: 16px;
}
.form-input input {
  width: 100%;
  height: 35px;
  background: transparent;
  border-bottom: 1px solid #F25278;
  border-top: none;
  border-right: none;
  border-left: none;
  color: #F25278;
  font-size: 15px;
  letter-spacing: 1px;
  font-family: sans-serif;
}
.form-input input:focus {
  outline: none;
}

.search-input {
  font-family: "Times New Roman";
  width: 200px;
  height: 40px;
  background: transparent;
  border: 1px solid #F25278;
  border-radius: 24px 0 0 24px !important;
  color: #fff;
  border-right: none;
  font-size: 16px;
  float: left;
  padding: 10px;
  padding-left: 32px;
  border-bottom-left-radius: 5px;
  border-top-left-radius: 5px;
}

.btn {
  cursor: pointer;
  &.btn-big-outlined {
    min-width: 100px;
    padding: 12px 16px;
    background: rgb(255 255 255 / 15%);
    backdrop-filter: blur(2px);
    border: 2px solid #F25278;
    color: #fff;
    font-size: 15px;
    display: inline-block;
    text-decoration: none;
    margin: 8px 0;
    transition: all ease-in-out 0.5s;
  }
}
.btn.btn-big {
  min-width: 100px;
  padding: 12px 16px;
  background: #F25278;
  border: 2px solid #F25278;
  color: #fff;
  font-size: 15px;
  display: inline-block;
  text-decoration: none;
  margin: 8px 0;
  transition: all ease-in-out 0.5s;
}
.btn.btn-big:hover {
  background-color: #da4064;
}
.btn.search-btn {
  min-width: 100px;
  background: #F25278;
  border: 2px solid #F25278;
  border-radius: 0 24px 24px 0;
  color: #fff;
  font-size: 15px;
  display: inline-block;
  text-decoration: none;
  transition: all ease-in-out 0.5s;
}
.btn.search-btn:hover {
  background-color: #da4064;
}

.srch:focus {
  outline: none;
}

.search {
  display: flex;
}

.form .link {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 17px;
  padding-top: 20px;
  text-align: center;
}

.form .link a {
  text-decoration: none;
  color: #F25278;
}

.head-text {
  display: none;
  &.block {
    display: block;
  }
}